Project Chrono: chrono::sensor::ChGPSSensor Class Reference

Public Member Functions | Friends | List of all members
chrono::sensor::ChGPSSensor Class Reference
SENSOR module » Sensors

## Description

GPS class.

This class uses the reference location of a simulation and spherically maps the cartesian space simulation onto a sphere, calculating the latitude, longitude, altitude relative to the Earth's surface. The reference location defines what GPS coordinates are associated with the origin of the simulation. The mapping is performed such that the +Z-axis points up, +X-axis points East, and the +Y-axis points North.

`#include <ChGPSSensor.h>`

## Public Member Functions
| ChGPSSensor (std::shared_ptr< chrono::ChBody > parent, float updateRate, chrono::ChFrame< double > offsetPose, ChVector3d gps_reference, std::shared_ptr< ChNoiseModel > noise_model)
| Class constructor.
| ~ChGPSSensor ()
| Class destructor.
virtual void | PushKeyFrame ()
virtual void | ClearKeyFrames ()
const ChVector3d | GetGPSReference () const
| Get the GPS reference location.

## Friends
class | ChFilterGPSUpdate

## Constructor & Destructor Documentation

## ◆ ChGPSSensor()

CH_SENSOR_API chrono::sensor::ChGPSSensor::ChGPSSensor | ( | std::shared_ptr< chrono::ChBody > | parent,
|  | float | updateRate,
|  | chrono::ChFrame< double > | offsetPose,
|  | ChVector3d | gps_reference,
|  | std::shared_ptr< ChNoiseModel > | noise_model )

Class constructor.

Parameters

  parent | Body to which the sensor is attached.
  updateRate | Rate at which the sensor should update.
  offsetPose | Relative position and orientation of the sensor with respect to its parent object.
  lag | Lag time between end of data collection and when data becomes available to the user.
  collection_window | Collection time over which the sensor should collect data from the simulation.
  gps_reference | Reference location in GPS coordinates (longitude, latitude, altitude) of simulation origin
  noise_model | The noise model that should be used for augmenting the GPS data.

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_sensor/sensors/ChGPSSensor.h
- D:/W/B/src/chrono-9.0.1/src/chrono_sensor/sensors/ChGPSSensor.cpp